Pause Campaign
POST
/api/v1/campaign/{campaign_id}/pausePause campaign execution
cURL example
curl -X POST \
'https://app.intracord.hu/api/v1/campaign/{campaign_id}/pause' \
-H "X-API-Key: $INTRACORD_API_KEY"Parameters
| Name | Location | Type | Description |
|---|---|---|---|
campaign_idrequired | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Responses
200Successful Responseapplication/jsonView schema
{
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"name": {
"type": "string",
"title": "Name"
},
"workflow_id": {
"type": "integer",
"title": "Workflow Id"
},
"workflow_name": {
"type": "string",
"title": "Workflow Name"
},
"state": {
"type": "string",
"title": "State"
},
"source_type": {
"type": "string",
"title": "Source Type"
},
"source_id": {
"type": "string",
"title": "Source Id"
},
"total_rows": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Total Rows"
},
"processed_rows": {
"type": "integer",
"title": "Processed Rows"
},
"failed_rows": {
"type": "integer",
"title": "Failed Rows"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"started_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Started At"
},
"completed_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Completed At"
},
"retry_config": {
"$ref": "#/components/schemas/RetryConfigResponse"
},
"max_concurrency": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Max Concurrency"
},
"rate_limit_per_second": {
"type": "integer",
"title": "Rate Limit Per Second",
"default": 1
},
"schedule_config": {
"anyOf": [
{
"$ref": "#/components/schemas/ScheduleConfigResponse"
},
{
"type": "null"
}
]
},
"circuit_breaker": {
"anyOf": [
{
"$ref": "#/components/schemas/CircuitBreakerConfigResponse"
},
{
"type": "null"
}
]
},
"executed_count": {
"type": "integer",
"title": "Executed Count",
"default": 0
},
"total_queued_count": {
"type": "integer",
"title": "Total Queued Count",
"default": 0
},
"parent_campaign_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Parent Campaign Id"
},
"redialed_campaign_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Redialed Campaign Id"
},
"telephony_configuration_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Telephony Configuration Id"
},
"telephony_configuration_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Telephony Configuration Name"
},
"logs": {
"items": {
"$ref": "#/components/schemas/CampaignLogEntryResponse"
},
"type": "array",
"title": "Logs"
},
"warnings": {
"items": {
"type": "string"
},
"type": "array",
"title": "Warnings"
}
},
"type": "object",
"required": [
"id",
"name",
"workflow_id",
"workflow_name",
"state",
"source_type",
"source_id",
"total_rows",
"processed_rows",
"failed_rows",
"created_at",
"started_at",
"completed_at",
"retry_config"
],
"title": "CampaignResponse"
}404Not found422Validation Errorapplication/jsonView schema
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}